<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2007 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.12
  $Source:
  $Revision: .1
  $Author: Dean Logan
  $Date: 17-JUL-2007
**********************************************/

define('THEME_HAS_RATING_GRAPHICS', 1);
define('THEME_HAS_FILM_STRIP_GRAPHIC', 1);
define('THEME_HAS_NAVBAR_GRAPHICS', 1);
define('THEME_IS_XHTML10_TRANSITIONAL',1);

// HTML template for template sys_menu spacer
$template_sys_menu_spacer ="";

// HTML template for sys menu
$template_sys_menu = <<<EOT
        <h2 style="font-size: 14px; color: #333000;">Main</h2>
        <ul id="mainnav">
<!-- BEGIN home -->
                <li class="home"><a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a></li>
<!-- END home -->
<!-- BEGIN my_gallery -->
                <li class="gallery"><a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a></li>
<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->
                <li class="users"><a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></li>
<!-- END allow_memberlist -->
<!-- BEGIN my_profile -->
                <li class="profile"><a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></li>
<!-- END my_profile -->
<!-- BEGIN faq -->
                <li class="faq"><a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a></li>
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                <li class="profile"><a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></li>
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                <li class="profile"><a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></li>
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                <li class="upload"><a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></li>
<!-- END upload_pic -->
<!-- BEGIN register -->
                <li><a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></li>
<!-- END register -->
<!-- BEGIN login -->
                <li class="login"><a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></li>
<!-- END login -->
<!-- BEGIN logout -->
                <li class="login"><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">{LOGOUT_LNK}</a></li>
<!-- END logout -->
        </ul>
EOT;

// HTML template for sub menu
$template_sub_menu = <<<EOT
        <h2 style="font-size: 14px; color: #333000;">User</h2>
        <ul id="submenunav">
<!-- BEGIN custom_link -->
                <li><a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a></li>
<!-- END custom_link -->
<!-- BEGIN album_list -->
                <li class="album"><a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a></li>
<!-- END album_list -->
                <li class="upload"><a href="{LASTUP_TGT}" title="{LASTUP_LNK}">{LASTUP_LNK}</a></li>
                <li class="comments"><a href="{LASTCOM_TGT}" title="{LASTCOM_LNK}">{LASTCOM_LNK}</a></li>
                <li class="viewed"><a href="{TOPN_TGT}" title="{TOPN_LNK}">{TOPN_LNK}</a></li>
                <li class="rated"><a href="{TOPRATED_TGT}" title="{TOPRATED_LNK}">{TOPRATED_LNK}</a></li>
                <li class="favorite"><a href="{FAV_TGT}" title="{FAV_LNK}">{FAV_LNK}</a></li>
                <li class="search"><a href="{SEARCH_TGT}" title="{SEARCH_LNK}">{SEARCH_LNK}</a></li>
        </ul>
EOT;

// HTML template for gallery admin menu
$template_gallery_admin_menu = <<<EOT
        <h2 style="font-size: 14px; color: #333000;">Admin Controls</h2>
        <ul id="adminnav">
<!-- BEGIN admin_approval -->
                <li class="approve"><a href="editpics.php?mode=upload_approval" title="{UPL_APP_TITLE}">{UPL_APP_LNK}</a></li>
<!-- END admin_approval -->
                <li class="config"><a href="admin.php" title="{ADMIN_TITLE}">{ADMIN_LNK}</a></li>
                <li class="categories"><a href="catmgr.php" title="{CATEGORIES_TITLE}">{CATEGORIES_LNK}</a></li>
                <li class="album"><a href="albmgr.php{CATL}" title="{ALBUMS_TITLE}">{ALBUMS_LNK}</a></li>
                <li class="groups"><a href="groupmgr.php" title="{GROUPS_TITLE}">{GROUPS_LNK}</a></li>
                <li class="users"><a href="usermgr.php" title="{USERS_TITLE}">{USERS_LNK}</a></li>
                <li class="ban"><a href="banning.php" title="{BAN_TITLE}">{BAN_LNK}</a></li>
                <li class="comments"><a href="reviewcom.php" title="{COMMENTS_TITLE}">{COMMENTS_LNK}</a></li>
<!-- BEGIN log_ecards -->
                <li class="ecard"><a href="db_ecard.php" title="{DB_ECARD_TITLE}">{DB_ECARD_LNK}</a></li>
<!-- END log_ecards -->
                <li class="picmanage"><a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a></li>
                <li class="batchadd"><a href="searchnew.php" title="{SEARCHNEW_TITLE}">{SEARCHNEW_LNK}</a></li>
                <li class="tools"><a href="util.php" title="{UTIL_TITLE}">{UTIL_LNK}</a></li>
                <li class="profile"><a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a></li>
<!-- BEGIN documentation -->
                <li class="document"><a href="{DOCUMENTATION_HREF}" title="{DOCUMENTATION_TITLE}" target="cpg_documentation">{DOCUMENTATION_LNK}</a></li>
<!-- END documentation -->
        </ul>
EOT;

// HTML template for user admin menu
$template_user_admin_menu = <<<EOT
        <h2 style="font-size: 14px; color: #333000;">User Controls</h2>
        <ul id="adminnav">
                <li class="album"><a href="albmgr.php" title="{ALBMGR_TITLE}">{ALBMGR_LNK}</a></li>
                <li class="config"><a href="modifyalb.php" title="{MODIFYALB_TITLE}">{MODIFYALB_LNK}</a></li>
                <li class="profile"><a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a></li>
                <li class="picmanage"><a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a></li>
        </ul>
EOT;

// HTML template for the image rating box
$template_image_rating = <<<EOT
<div align="center">
        <div align="left"><strong>{TITLE}</strong><small>{VOTES}</small><br /></div>
        <a href="{RATE0}" title="{RUBBISH}" rel="nofollow"><img src="{LOCATION}images/rating0.png" border="0" alt="{RUBBISH}" /></a>&nbsp;&nbsp;
        <a href="{RATE1}" title="{POOR}" rel="nofollow"><img src="{LOCATION}images/rating1.png" border="0" alt="{POOR}" /></a>&nbsp;&nbsp;
        <a href="{RATE2}" title="{FAIR}" rel="nofollow"><img src="{LOCATION}images/rating2.png" border="0" alt="{FAIR}" /></a>&nbsp;&nbsp;
        <a href="{RATE3}" title="{GOOD}" rel="nofollow"><img src="{LOCATION}images/rating3.png" border="0" alt="{GOOD}" /></a>&nbsp;&nbsp;
        <a href="{RATE4}" title="{EXCELLENT}" rel="nofollow"><img src="{LOCATION}images/rating4.png" border="0" alt="{EXCELLENT}" /></a>&nbsp;&nbsp;
        <a href="{RATE5}" title="{GREAT}" rel="nofollow"><img src="{LOCATION}images/rating5.png" border="0" alt="{GREAT}" /><br />&nbsp;&nbsp;
</div>
EOT;

// HTML template for the breadcrumb
$template_breadcrumb = <<<EOT
<!-- BEGIN breadcrumb -->
        <span id="breadcrum">{BREADCRUMB}</span>
<!-- END breadcrumb -->
<!-- BEGIN breadcrumb_user_gal -->
        <span id="breadcrum">{BREADCRUMB}
        <small>{STATISTICS}</small></span>
<!-- END breadcrumb_user_gal -->
<br />
EOT;

// HTML template for the category list
$template_cat_list = <<<EOT
<!-- BEGIN header -->
        <tr>
                <td class="tableh1" width="80%" align="left"><b>{CATEGORY}</b></td>
                <td class="tableh1" width="10%" align="center"><b>{ALBUMS}</b></td>
                <td class="tableh1" width="10%" align="center"><b>{PICTURES}</b></td>
        </tr>
<!-- END header -->
<!-- BEGIN catrow_noalb -->
        <tr>
                <td class="catrow_noalb" colspan="3"><table border="0"><tr><td align="left">{CAT_THUMB}</td><td align="left"><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>
        </tr>
<!-- END catrow_noalb -->
<!-- BEGIN catrow -->
        <tr>
                <td class="catrow" align="left"><table border="0"><tr><td>{CAT_THUMB}</td><td><span class="catlink"><b>{CAT_TITLE}</b></span>{CAT_DESC}</td></tr></table></td>
                <td class="catrow" align="center" valign="top">{ALB_COUNT}</td>
                <td class="catrow" align="center" valign="top">{PIC_COUNT}</td>
        </tr>
        <tr>
            <td class="tableb" colspan="3">{CAT_ALBUMS}</td>
        </tr>
<!-- END catrow -->
<!-- BEGIN statistics -->
        <div class="statlink">
          {STATISTICS}
        </div>
<!-- END statistics -->
<!-- BEGIN spacer -->
        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />
<!-- END spacer -->

EOT;


// HTML template for the album list
$template_album_list = <<<EOT
<!-- BEGIN stat_row -->
        {STATISTICS}
<!-- END stat_row -->
<!-- BEGIN header -->
<!-- END header -->
<!-- BEGIN album_cell -->

        <div style="background-color: #ECECEC; padding: 2pt 2pt 2pt 2pt; border: .5pt sol">
        <div style="float: left; padding-right: 10pt;"><a href="{ALB_LINK_TGT}">{ALB_LINK_PIC}</a></div>
        <h3><a href="{ALB_LINK_TGT}">{ALBUM_TITLE}</a></h3>
                <span class="post">{ALB_DESC}</span><br />
                <small>{ALB_INFOS}</small>
        </div>

<!-- END album_cell -->
<!-- BEGIN empty_cell -->
        <div>&nbsp;</div>
<!-- END empty_cell -->
<!-- BEGIN row_separator -->
<!-- END row_separator -->
<!-- BEGIN footer -->
<!-- END footer -->
<!-- BEGIN tabs -->
        <table><tr>{TABS}</tr></table>
<!-- END tabs -->
<!-- BEGIN spacer -->
        <hr noshade />
<!-- END spacer -->
EOT;

// HTML template for filmstrip display
$template_film_strip = <<<EOT
        <div style="background-image: url({TILE1});"><img src="{TILE1}" alt="" border="0" /></div>
    <table width="100%" bgcolor="#000000"><tr>{THUMB_STRIP}</tr></table>
        <div style="background-image: url({TILE2});"><img src="{TILE2}" alt="" border="0" /></div>
<!-- BEGIN thumb_cell -->
                <td><a href="{LINK_TGT}">{THUMB}</a>
                        <small>{CAPTION}</small>
                        {ADMIN_MENU}
                </td>
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
                <td>&nbsp;</td>
<!-- END empty_cell -->
EOT;

// HTML template for the ALBUM admin menu displayed in the album list
$template_album_admin_menu = <<<EOT
        <div id="albummenu" style="padding: 2pt 2pt 2pt 2pt;">
                <a href="delete.php?id={ALBUM_ID}&amp;what=album" onclick="return confirm('{CONFIRM_DELETE}');"><img src="themes/life-is-a-byte/images/delete.gif" alt="{DELETE}" /></a>
                <a href="modifyalb.php?album={ALBUM_ID}"><img src="themes/life-is-a-byte/images/properties.gif" alt="{MODIFY}" /></a>
                <a href="editpics.php?album={ALBUM_ID}"><img src="themes/life-is-a-byte/images/edit.gif" alt="{EDIT_PICS}" /></a>
        </div>
EOT;

// HTML template for thumbnails display
$template_thumbnail_view = <<<EOT
<!-- BEGIN header -->
        <table border="0" cellpadding="0" cellspacing="0">
        <tr>
<!-- END header -->
<!-- BEGIN thumb_cell -->
        <td valign="top" class="thumbnails" width ="{CELL_WIDTH}" align="center">
                <div class="frameshadow">
                                        <div class="picshadow"><a href="{LINK_TGT}">{THUMB}</a></div><br />
                                        {CAPTION}
                                        {ADMIN_MENU}
                </div>
        </td>
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
        <td valign="top" class="thumbnails" align="center">&nbsp;</td>
<!-- END empty_cell -->
<!-- BEGIN row_separator -->
</tr>
        <tr>
<!-- END row_separator -->
<!-- BEGIN footer -->
        </tr>
        </table>
<!-- END footer -->
<!-- BEGIN tabs -->
                <tr>
                        <td colspan="{THUMB_COLS}" style="padding: 0px;">
                                <table width="100%"cellspacing="0" cellpadding="0">
                                        <tr>
                                                   {TABS}
                                        </tr>
                                </table>
                        </td>
        </tr>
<!-- END tabs -->
<!-- BEGIN spacer -->
       <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />
<!-- END spacer -->
EOT;

// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT
<h2>{ALBUM_NAME}</h2>
<div id="sort" align="center">
<span id="titlesort">
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title="{SORT_TA}">&nbsp;+&nbsp;</a>
        {TITLE}
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title="{SORT_TD}">&nbsp;-&nbsp;</a>
</span>
<span id="namesort">&nbsp;|&nbsp;
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title="{SORT_NA}">&nbsp;+&nbsp;</a>
        {NAME}
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title="{SORT_ND}">&nbsp;-&nbsp;</a>
</span>
<span id="datesort">&nbsp;|&nbsp;
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title="{SORT_DA}">&nbsp;+&nbsp;</a>
        {DATE}
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title="{SORT_DD}">&nbsp;-&nbsp;</a>
</span>
<span id="positionsort">&nbsp;|&nbsp;
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title="{SORT_PA}">&nbsp;+&nbsp;</a>
        {POSITION}
        <a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title="{SORT_PD}">&nbsp;-&nbsp;</a>
</span>
</div>
EOT;

// HTML template for the display of comments
$template_image_comments = <<<EOT
<strong><a name="comment{MSG_ID}">{MSG_AUTHOR}</a></strong>
&nbsp;<small style="color:#D80A0A;">[{MSG_DATE}]</small>
<!-- BEGIN report_comment_button -->
     <a href="report_file.php?pid={PID}&amp;msg_id={MSG_ID}&amp;what=comment" title="{REPORT_COMMENT_TITLE}"><img src="themes/life-is-a-byte/images/report.gif" width="16" height="16" border="0" align="middle" alt="{REPORT_COMMENT_TITLE}" /></a>
<!-- END report_comment_button -->
<!-- BEGIN buttons -->
        <a href="javascript:;" onclick="blocking('cbody{MSG_ID}','', 'block'); blocking('cedit{MSG_ID}','', 'block'); return false;" title="{EDIT_TITLE}"><img src="themes/life-is-a-byte/images/edit.gif" border="0" align="middle" /></a>
        <a href="delete.php?msg_id={MSG_ID}&what=comment"  onclick="return confirm('{CONFIRM_DELETE}');"><img src="themes/life-is-a-byte/images/delete.gif" border="0" align="middle" /></a>
<!-- END buttons -->
<!-- BEGIN ipinfo -->
        <small>({IP})</small>
<!-- END ipinfo -->
<br />
    <div style="display:block; background-color: #F4F4F4; width: 95%; padding: 2pt 2pt 2pt 2pt;">
                {MSG_BODY}
        </div>
    <div id="cedit{MSG_ID}" style="display:none">
<!-- BEGIN edit_box_smilies -->
                <form name="f{MSG_ID}" method="POST" action="db_input.php">
                        <input type="hidden" name="event" value="comment_update" />
                        <input type="hidden" name="msg_id" value="{MSG_ID}" />
                        <table width="90%" align="center" border="1" cellpadding="0" cellspacing="0">
                        <tr>
                        <td colspan="2">
                           <input type="text" name="msg_author" value="{MSG_AUTHOR}" size="25" />
                           {MSG_AUTHOR}
                        </td>
                        </tr>
                        <tr>
                                <td width="80%">
                                        <textarea cols="30" rows="2" class="textinput" name="msg_body" onselect="storeCaret_f{MSG_ID}(this);" onclick="storeCaret_f{MSG_ID}(this);" onkeyup="storeCaret_f{MSG_ID}(this);" style="width: 100%;">{MSG_BODY_RAW}</textarea>
                                </td>
                                <td>
                                        <input type="submit" name="submit" value="{OK}" />
                                </td>
                        </tr>
                        <tr>
                                <td colspan="2">{SMILIES}</td>
                        </tr>
                </table>
                </form>
<!-- END edit_box_smilies -->
<!-- BEGIN edit_box_no_smilies -->
                <form name="f{MSG_ID}" method="POST" action="db_input.php">
                        <input type="hidden" name="event" value="comment_update" />
                        <input type="hidden" name="msg_id" value="{MSG_ID}" />
                        <table width="90%" align="center" border="1" cellpadding="0" cellspacing="0">
                        <tr>
                                <td>
                                        <input type="text" name="msg_author" value="{MSG_AUTHOR}" class="textinput" size="25" />
                                </td>
                        </tr>
                        <tr>
                                <td width="100%">
                                        <textarea cols="30" rows="2" class="textinput" name="msg_body" style="width: 100%;">{MSG_BODY_RAW}</textarea>
                                </td>
                                <td>
                                        <input type="submit" class="comment_button" name="submit" value="{OK}" />
                                </td>
                        </tr>
                </table>
                </form>
<!-- END edit_box_no_smilies -->
        </div>
EOT;

// HTML template for the form to add comments
$template_add_your_comment = <<<EOT
<strong>{ADD_YOUR_COMMENT}</strong>
<form method="post" name="post" action="db_input.php">
        <table width="95%" border="0" align="center" cellpadding="2" cellspacing="0">
<!-- BEGIN user_name_input -->
        <tr>
                <td>{NAME}&nbsp;</td>
        <td><input type="text" name="msg_author" size="10" maxlength="20" value="{USER_NAME}" />&nbsp;</td>
        </tr>
<!-- END user_name_input -->
<!-- BEGIN input_box_smilies -->
        <tr>
                <td valign="top" colspan="2">
                {COMMENT}
        </td>
        </tr>
        <tr>
        <td valign="top">
                        <textarea id="message" rows="4" class="textinput" name="msg_body" style="width: 98%;"  onselect="storeCaret_post(this);" onclick="storeCaret_post(this);" onkeyup="storeCaret_post(this);" maxlength="{MAX_COM_LENGTH}"></textarea>
        </td>
<!-- END input_box_smilies -->
<!-- BEGIN input_box_no_smilies -->
        <tr>
                <td valign="top" colspan="2">
                        {COMMENT}
                </td>
        </tr>
        <tr>
                <td colspan="2">
                        <textarea id="message" cols="20" rows="3" class="textinput" name="msg_body" style="width: 100%;"  onselect="storeCaret_post(this);" onclick="storeCaret_post(this);" onkeyup="storeCaret_post(this);" maxlength="{MAX_COM_LENGTH}"></textarea>
                </td>
<!-- END input_box_no_smilies -->
<!-- BEGIN smilies -->
                <td width="20%">
                        {SMILIES}
                </td>
<!-- END smilies -->
        </tr>
        <tr>
                <td align="right">
                        <input type="hidden" name="event" value="comment" />
                        <input type="hidden" name="pid" value="{PIC_ID}" />
                        <input type="submit" name="submit" value="{OK}" />
                </td>
                <td>&nbsp;</td>
        </tr>
        </table>
</form>
EOT;








function theme_display_cat_list($breadcrumb, &$cat_data, $statistics)
{
    global $template_cat_list, $lang_cat_list;

    if ($statistics && count($cat_data) > 0) {
        $template = template_extract_block($template_cat_list, 'statistics');
        $params = array('{STATISTICS}' => $statistics);
        echo template_eval($template, $params);
    }

    if (count($cat_data) > 0) {
        starttable('100%');
        $template = template_extract_block($template_cat_list, 'header');
        $params = array('{CATEGORY}' => $lang_cat_list['category'],
            '{ALBUMS}' => $lang_cat_list['albums'],
            '{PICTURES}' => $lang_cat_list['pictures'],
            );
        echo template_eval($template, $params);
    }

    $template_noabl = template_extract_block($template_cat_list, 'catrow_noalb');
    $template = template_extract_block($template_cat_list, 'catrow');
    foreach($cat_data as $category) {
        if (!isset($category['cat_thumb'])) { $category['cat_thumb'] = ''; }
        if (count($category) == 3) {
            $params = array('{CAT_TITLE}' => $category[0],
                    '{CAT_THUMB}' => $category['cat_thumb'],
                '{CAT_DESC}' => $category[1]
                );
            echo template_eval($template_noabl, $params);
        } elseif (isset($category['cat_albums']) && ($category['cat_albums'] != '')) {
            $params = array('{CAT_TITLE}' => $category[0],
                '{CAT_THUMB}' => $category['cat_thumb'],
                '{CAT_DESC}' => $category[1],
                '{CAT_ALBUMS}' => $category['cat_albums'],
                '{ALB_COUNT}' => $category[2],
                '{PIC_COUNT}' => $category[3],
                );
            echo template_eval($template, $params);
        } else {
            $params = array('{CAT_TITLE}' => $category[0],
                '{CAT_THUMB}' => $category['cat_thumb'],
                '{CAT_DESC}' => $category[1],
                '{CAT_ALBUMS}' => '',
                '{ALB_COUNT}' => $category[2],
                '{PIC_COUNT}' => $category[3],
                );
            echo template_eval($template, $params);
        }
    }

    if (count($cat_data) > 0)
          endtable();
        echo template_extract_block($template_cat_list, 'spacer');
}










// Displays a picture
function theme_html_picture()
{
    global $CONFIG, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $USER;
    global $album, $comment_date_fmt, $template_display_media;
    global $lang_display_image_php, $lang_picinfo;

    $pid = $CURRENT_PIC_DATA['pid'];
    $pic_title = '';

    if (!isset($USER['liv']) || !is_array($USER['liv'])) {
        $USER['liv'] = array();
    }
    // Add 1 to hit counter
    if (!USER_IS_ADMIN && !in_array($pid, $USER['liv']) && isset($_COOKIE[$CONFIG['cookie_name'] . '_data'])) {
        add_hit($pid);
        if (count($USER['liv']) > 4) array_shift($USER['liv']);
        array_push($USER['liv'], $pid);
    }

    if($CONFIG['thumb_use']=='ht' && $CURRENT_PIC_DATA['pheight'] > $CONFIG['picture_width'] ){ // The wierd comparision is because only picture_width is stored
      $condition = true;
    }elseif($CONFIG['thumb_use']=='wd' && $CURRENT_PIC_DATA['pwidth'] > $CONFIG['picture_width']){
      $condition = true;
    }elseif($CONFIG['thumb_use']=='any' && max($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight']) > $CONFIG['picture_width']){
      $condition = true;
    }else{
     $condition = false;
    }

    if ($CURRENT_PIC_DATA['title'] != '') {
        $pic_title .= $CURRENT_PIC_DATA['title'] . "\n";
    }
    if ($CURRENT_PIC_DATA['caption'] != '') {
        $pic_title .= $CURRENT_PIC_DATA['caption'] . "\n";
    }
    if ($CURRENT_PIC_DATA['keywords'] != '') {
        $pic_title .= $lang_picinfo['Keywords'] . ": " . $CURRENT_PIC_DATA['keywords'];
    }

    if (!$CURRENT_PIC_DATA['title'] && !$CURRENT_PIC_DATA['caption']) {
        template_extract_block($template_display_media, 'img_desc');
    } else {
        if (!$CURRENT_PIC_DATA['title']) {
            template_extract_block($template_display_media, 'title');
        }
        if (!$CURRENT_PIC_DATA['caption']) {
            template_extract_block($template_display_media, 'caption');
        }
    }

    $CURRENT_PIC_DATA['menu'] = html_picture_menu(); //((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) ? html_picture_menu($pid) : '';

    if ($CONFIG['make_intermediate'] && $condition ) {
        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'normal');
    } else {
        $picture_url = get_pic_url($CURRENT_PIC_DATA, 'fullsize');
    }

    $image_size = compute_img_size($CURRENT_PIC_DATA['pwidth'], $CURRENT_PIC_DATA['pheight'], $CONFIG['picture_width']);

    $pic_title = '';
    $mime_content = cpg_get_type($CURRENT_PIC_DATA['filename']);


    if ($mime_content['content']=='movie' || $mime_content['content']=='audio') {

        if ($CURRENT_PIC_DATA['pwidth']==0 || $CURRENT_PIC_DATA['pheight']==0) {
            $CURRENT_PIC_DATA['pwidth']  = 320; // Default width

            // Set default height; if file is a movie
            if ($mime_content['content']=='movie') {
                $CURRENT_PIC_DATA['pheight'] = 240; // Default height
            }
        }

        $ctrl_offset['mov']=15;
        $ctrl_offset['wmv']=45;
        $ctrl_offset['swf']=0;
        $ctrl_offset['rm']=0;
        $ctrl_offset_default=45;
        $ctrl_height = (isset($ctrl_offset[$mime_content['extension']]))?($ctrl_offset[$mime_content['extension']]):$ctrl_offset_default;
        $image_size['whole']='width="'.$CURRENT_PIC_DATA['pwidth'].'" height="'.($CURRENT_PIC_DATA['pheight']+$ctrl_height).'"';
    }

    if ($mime_content['content']=='image') {
        if (isset($image_size['reduced'])) {
            $winsizeX = $CURRENT_PIC_DATA['pwidth']+5;  //the +'s are the mysterious FF and IE paddings
            $winsizeY = $CURRENT_PIC_DATA['pheight']+3; //the +'s are the mysterious FF and IE paddings
            $pic_html = "<a href=\"displayimage.php?pid=$pid&amp;fullsize=1\" class=\"thickbox\" title=\"{$lang_display_image_php['view_fs']}\">";

                        $pic_title = $lang_display_image_php['view_fs'] . "\n==============\n" . $pic_title;
            $pic_html .= "<img src=\"" . $picture_url . "\" class=\"picshadow\" border=\"0\" alt=\"{$lang_display_image_php['view_fs']}\" /><br />";
            $pic_html .= "</a>\n";
        } else {
            $pic_html = "<img src=\"" . $picture_url . "\" {$image_size['geom']} class=\"picshadow\" border=\"0\" alt=\"\" /><br />\n";
        }
    } elseif ($mime_content['content']=='document') {
        $pic_thumb_url = get_pic_url($CURRENT_PIC_DATA,'thumb');
        $pic_html = "<a href=\"{$picture_url}\" target=\"_blank\" class=\"document_link\"><img src=\"".$pic_thumb_url."\" border=\"0\" class=\"image\" /></a>\n<br />";
    } else {
        $autostart = ($CONFIG['media_autostart']) ? ('true'):('false');

        $players['WMP'] = array('id' => 'MediaPlayer',
                                'clsid' => 'classid="clsid:6BF52A52-394A-11d3-B153-00C04F79FAA6" ',
                                'codebase' => 'codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701" ',
                                'mime' => 'type="application/x-mplayer2" ',
                               );
        $players['RMP'] = array('id' => 'RealPlayer',
                                'clsid' => 'classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" ',
                                'codebase' => '',
                                'mime' => 'type="audio/x-pn-realaudio-plugin" '
                               );
        $players['QT']  = array('id' => 'QuickTime',
                                'clsid' => 'classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" ',
                                'codebase' => 'codebase="http://www.apple.com/qtactivex/qtplugin.cab" ',
                                'mime' => 'type="video/x-quicktime" '
                               );
        $players['SWF'] = array('id' => 'SWFlash',
                                'clsid' => ' classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" ',
                                'codebase' => 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" ',
                                'mime' => 'type="application/x-shockwave-flash" '
                               );
        $players['UNK'] = array('id' => 'DefaultPlayer',
                                'clsid' => '',
                                'codebase' => '',
                                'mime' => ''
                               );

        if (isset($_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'])) {
            $user_player = $_COOKIE[$CONFIG['cookie_name'].'_'.$mime_content['extension'].'player'];
        } else {
            $user_player = $mime_content['player'];
        }

                // There isn't a player selected or user wants client-side control
        if (!$user_player) {
            $user_player = 'UNK';
        }

        $player = $players[$user_player];

        $pic_html  = '<object id="'.$player['id'].'" '.$player['clsid'].$player['codebase'].$player['mime'].$image_size['whole'].'>';
        $pic_html .= "<param name=\"autostart\" value=\"$autostart\" /><param name=\"src\" value=\"". $picture_url . "\" />";
        $pic_html .= '<embed '.$image_size['whole'].' src="'. $picture_url . '" autostart="'.$autostart.'" '.$player['mime'].'></embed>';
        $pic_html .= "</object><br />\n";
    }

    $CURRENT_PIC_DATA['html'] = $pic_html;
    $CURRENT_PIC_DATA['header'] = '';
    $CURRENT_PIC_DATA['footer'] = '';

    $CURRENT_PIC_DATA = CPGPluginAPI::filter('file_data',$CURRENT_PIC_DATA);

    $params = array('{CELL_HEIGHT}' => '100',
        '{IMAGE}' => $CURRENT_PIC_DATA['header'].$CURRENT_PIC_DATA['html'].$CURRENT_PIC_DATA['footer'],
        '{ADMIN_MENU}' => $CURRENT_PIC_DATA['menu'],
        '{TITLE}' => bb_decode($CURRENT_PIC_DATA['title']),
        '{CAPTION}' => bb_decode($CURRENT_PIC_DATA['caption']),
        );

    return template_eval($template_display_media, $params);
}

function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)
{
    global $CONFIG;

    $width = $CONFIG['picture_table_width'];
        $picinfo = isset($_COOKIE['picinfo']) ? $_COOKIE['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');

    echo $nav_menu;
        echo "<div id=\"picframe\" class=\"frameshadow\" align=\"center\">\n";
    echo $picture;
    echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";
            echo $pic_info;
    echo "</div>\n";
        echo "</div>\n";
    if ($CONFIG['display_film_strip'] == 1) {
        echo $film_strip;
    }

    echo $votes;
        echo "</div>\n";

    echo "<div id=\"comments\">\n";
        echo $comments;


}

function theme_html_picinfo(&$info)
{
    global $lang_picinfo;

    $html = '<div align="left" class="frameshadow" style="width: 95%; background-color: #FFFFFF;">';

    $html .= "        <h2>{$lang_picinfo['title']}</h2><ul>\n";
    $template = "        <li><strong>%s</strong>:&nbsp;%s</li>\n";
    foreach ($info as $key => $value) $html .= sprintf($template, $key, $value);
         $html .= "</ul></div>";

    return $html;
}



// Function to start a 'standard' table
function starttable($width = '-1', $title = '', $title_colspan = '1')
{
    global $CONFIG;

    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];
    echo <<<EOT
<!-- Start standard table -->
<table align="center" width="90%" cellspacing="1" cellpadding="0" class="maintable">

EOT;
    if ($title) {
        echo <<<EOT
        <tr>
                <td class="tableh1" colspan="$title_colspan">$title</td>
        </tr>

EOT;
    }
}

// Function to end a 'standard' table
function endtable()
{
    echo <<<EOT
</table>
<!-- End standard table -->

EOT;

}

// ------------------------------------------------------------------------- //
// BEGIN Mod for Custom login box + statistics                               //
// ------------------------------------------------------------------------- //
        $query = "SELECT COUNT(OWNER_ID) FROM {$CONFIG['TABLE_PICTURES']} WHERE owner_id = ".USER_ID;
        $result = mysql_query($query);
        $total_upload = mysql_fetch_assoc($result);
        mysql_free_result($result);

        $query = "SELECT COUNT(author_id) FROM {$CONFIG['TABLE_COMMENTS']} WHERE author_id = ".USER_ID;
        $result = mysql_query($query);
        $total_comments = mysql_fetch_assoc($result);
        mysql_free_result($result);

        $query = "SELECT user_regdate FROM {$CONFIG['TABLE_USERS']} WHERE user_id = ".USER_ID;
        $result = mysql_query($query);
        $regdate = mysql_fetch_assoc($result);
        mysql_free_result($result);

$custom_login_box = <<<EOT
<div style="float:right; width:95%;">
        <form action="login.php?referer=index.php" method="post" name="loginbox" style="margin:0px;">
                <div>Enter your username and password to login</div>
                <div style="padding-top:2px;">
                        <div style="width:100px;float:left;padding-left:2px;">Username</div>
                        <div><input type="text" class="textinput" name="username" style="width:150px;height:13px;" tabindex="1" /></div>
                </div>
                <div style="padding-top:2px;">
                        <div style="width:100px;float:left;padding-left:2px;">Password</div>
                        <div><input type="password" class="textinput" name="password" style="width: 150px;height:13px;" tabindex="2" /></div>
                        <div style="">
                                <div style="float:right; padding-top:2px; padding-right:22px;"><input name="submitted" type="submit" class="button" value="Login" tabindex="4" /></div>
                        </div>
                </div>
                <div>
                        <div style="float:left;height:13px;">Remembr Me</div>
                        <div><input name="remember_me" type="checkbox" value="1" tabindex="3" style="height:13px;width:13px;"/></div>
                </div>
                <div>
                        <div style="font-size:9px;padding-left:10px;float:left; width:200px;"><a href="forgot_passwd.php">I forgot my password</a></div>
                </div>
        </form>
</div>
EOT;
// ------------------------------------------------------------------------- //
// End Mod for Custom login box + statistics                                            //
// ------------------------------------------------------------------------- //

// Function for writing a pagefooter
function pagefooter()
{
    //global $HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_SERVER_VARS;
    global $USER, $USER_DATA, $ALBUM_SET, $CONFIG, $time_start, $query_stats, $queries;;
    global $template_footer, $custom_login_box;
    global $total_upload, $total_comments, $regdate; // Mod for Custom statistics

    $custom_footer = cpg_get_custom_include($CONFIG['custom_footer_path']);

    if ($CONFIG['debug_mode']==1 || ($CONFIG['debug_mode']==2 && GALLERY_ADMIN_MODE)) {
    cpg_debug_output();
    }

// ------------------------------------------------------------------------- //
// BEGIN Mod for Custom login box + statistics                                         //
// ------------------------------------------------------------------------- //
        $custom_username = stripslashes(USER_NAME);
        if(USER_ID)
                $custom_login_box = <<<EOT
                <div id="meta">
                        <h3 style="color:#B80000;"> Welcome <strong>{$custom_username}</strong> !</h3>
                        <ul>
                                <li>Joined : <span style="color:#B80000;">{$regdate['user_regdate']}</span></li>
                                <li>Uploaded files by you : <span style="color:#B80000;">{$total_upload['COUNT(OWNER_ID)']}</span></li>
                                <li>Comments by you : <span style="color:#B80000;">{$total_comments['COUNT(author_id)']}</span></li>
                                <li class="login"><a href="logout.php?referer=index.php" title="Logout {$custom_username}">Log Out</a></li>
                        </ul>
                </div>
EOT;
// ------------------------------------------------------------------------- //
// End Mod for Custom login box + statistics                                            //
// ------------------------------------------------------------------------- //

    $template_vars = array(
        '{CUSTOM_LOGINBOX}'  => $custom_login_box, // Mod for Custom login box + statistics
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],
        '{SYS_MENU}' => theme_main_menu('sys_menu'),
        '{SUB_MENU}' => theme_main_menu('sub_menu'),
        '{CUSTOM_FOOTER}' => $custom_footer,
        '{VANITY}' => (defined('THEME_IS_XHTML10_TRANSITIONAL') && $CONFIG['vanity_block']) ? theme_vanity() : '',
        );

    echo template_eval($template_footer, $template_vars);
}

function pageheader($section, $meta = '')
{
    global $CONFIG, $THEME_DIR;
    global $template_header, $lang_charset, $lang_text_dir, $custom_login_box;
        global $total_upload, $total_comments, $regdate; // Mod for Custom statistics

    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);

    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');
    user_save_profile();


        //grab a single random image
        $custom_pic_data_random=get_pic_data('random', $count, $album_name,0, 1, false);
        //returns an array even if its only one item
        $custom_pic_data_random=current($custom_pic_data_random);
        //grabs the first item
        $url_random=get_pic_url($custom_pic_data_random, 'thumb');

        $template_vars = array('{LANG_DIR}' => $lang_text_dir,
        '{TITLE}' => $CONFIG['gallery_name'] . ' - ' . strip_tags(bb_decode($section)),
        '{CHARSET}' => $CONFIG['charset'] == 'language file' ? $lang_charset : $CONFIG['charset'],
        '{META}' => $meta,
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{ADMIN_MENU}' => theme_admin_mode_menu(),
        '{CUSTOM_HEADER}' => $custom_header,
        '{RANDOM_IMAGE}' => "<a href=\"displayimage.php?pos=-{$custom_pic_data_random['pid']}\"><center><img src=\"$url_random\"/ class=\"image\" ></center></a>",
        );

    echo template_eval($template_header, $template_vars);
}
?>